org.apache.ignite.spi.discovery

## Interface DiscoverySpiCustomMessage

All Superinterfaces:
  Serializable

    public interface DiscoverySpiCustomMessage
    extends Serializable

Message to send across ring.

See Also:
  `GridDiscoveryManager.sendCustomEvent(DiscoveryCustomMessage)`

### Method Summary

Methods
`DiscoverySpiCustomMessage` `ackMessage()` Called when message passed the ring.
`boolean` `isMutable()`

### Method Detail

#### ackMessage

    @Nullable
    DiscoverySpiCustomMessage ackMessage()

Called when message passed the ring.

#### isMutable

    boolean isMutable()

Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015